Package org.apache.torque.generator.configuration.paths

# Class Maven2JarProjectPaths

java.lang.Object
org.apache.torque.generator.configuration.paths.Maven2ProjectPaths
org.apache.torque.generator.configuration.paths.Maven2JarProjectPaths

All Implemented Interfaces:
  `ProjectPaths`

public class Maven2JarProjectPaths extends Maven2ProjectPaths
Implementation of ProjectPaths if the configuration is located in a jar file inside of a Maven 2 project.

- ## Field Summary

  ### Fields inherited from class org.apache.torque.generator.configuration.paths.Maven2ProjectPaths

  `CACHE_DIR, CONFIG_DIR, DEFAULT_OUTPUT_DIR, MODIFIABLE_OUTPUT_DIR, MODIFIABLE_OUTPUT_DIR_KEY, SOURCE_DIR, WORK_DIR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Maven2JarProjectPaths(File projectRoot, String jarFileName)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConfigurationPackage()`
  Returns the package of the Torque generator files.
  `File`
  `getConfigurationPath()`
  Returns the subdirectory for the Torque generator files, relative to the project root.

  ### Methods inherited from class org.apache.torque.generator.configuration.paths.Maven2ProjectPaths

  `getCacheDirectory, getDefaultSourcePath, getOutputDirectory, getOutputDirectoryMap, getProjectRoot, getWorkDirectory`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Maven2JarProjectPaths

    public Maven2JarProjectPaths(File projectRoot, String jarFileName)
    Constructor.
    Parameters:
      `projectRoot` - path to the project root directory, not null. The path must either be absolute or relative to the current working directory.
      `jarFileName` - the name of the jar file, relative to the configuration root directory.

- ## Method Details

  - ### getConfigurationPath

    public File getConfigurationPath()
    Returns the subdirectory for the Torque generator files, relative to the project root.
    Specified by:
      `getConfigurationPath` in interface `ProjectPaths`
    Specified by:
      `getConfigurationPath` in class `Maven2ProjectPaths`
    Returns:
      the subdirectory for the Torque generator files, not null.

  - ### getConfigurationPackage

    public String getConfigurationPackage()
    Returns the package of the Torque generator files.
    Specified by:
      `getConfigurationPackage` in interface `ProjectPaths`
    Specified by:
      `getConfigurationPackage` in class `Maven2ProjectPaths`
    Returns:
      null.